Platforma agentów i API Road User Tools
Przelicz odległości
Przeliczaj między kilometrami, metrami, milami, jardami i stopami.
Interfejsy
POST
Punkt końcowy REST
/api/v1/distance/convertMCP
Nazwa narzędzia
convert_distanceŻądanie
Wyślij żądanie jako JSON. Klienci MCP przekazują te same pola, co argumenty narzędzi.
cURLshell
curl -X POST https://roaduser.tools/api/v1/distance/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"value": 10,
"from": "km",
"to": "mi"
}'Treść żądaniajson
{
"value": 10,
"from": "km",
"to": "mi"
}Odpowiedź
REST zawija wynik obliczeń w standardową kopertę sukcesu. MCP zwraca te same dane obliczeniowe, co dane wyjściowe narzędzia strukturalnego.
JSON
{
"ok": true,
"data": {
"input": {
"value": 10,
"from": "km",
"to": "mi"
},
"conversions": {
"km": 10,
"m": 10000,
"mi": 6.2137119223733395,
"yd": 10936.132983377078,
"ft": 32808.39895013123
},
"result": 6.2137119223733395
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}Schematy
Poniższe definicje przedstawiają kompletny schemat JSON używany do sprawdzania poprawności wejść i opisywania wyjść.
Schemat wejścia
{
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number",
"description": "Distance value to convert. Must be finite and non-negative."
},
"from": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
],
"description": "Input distance unit."
},
"to": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
],
"description": "Optional target unit. When omitted, all units are returned."
}
},
"required": [
"value",
"from"
]
}Schemat wyjścia
{
"type": "object",
"additionalProperties": false,
"properties": {
"input": {
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number"
},
"from": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
]
},
"to": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
]
}
},
"required": [
"value",
"from"
]
},
"conversions": {
"type": "object",
"additionalProperties": false,
"properties": {
"km": {
"type": "number"
},
"m": {
"type": "number"
},
"mi": {
"type": "number"
},
"yd": {
"type": "number"
},
"ft": {
"type": "number"
}
},
"required": [
"km",
"m",
"mi",
"yd",
"ft"
]
},
"result": {
"type": "number",
"description": "Target-unit result when a target unit is supplied."
}
},
"required": [
"input",
"conversions"
]
}